
From: Stephane Eranian <eranian@hpl.hp.com>

Fix a bug in do_proc_doulongvec_minmax() where the the string buffer was
too short to parse a 64-bit number expressed in decimal.  That was causing
problems with entries in /proc/sys using long and allowing large number
(such as -1)

Signed-off-by: Stephane Eranian <eranian@hpl.hp.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/kernel/sysctl.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

diff -puN kernel/sysctl.c~fix-for-buffer-limit-for-long-in-sysctlc kernel/sysctl.c
--- 25/kernel/sysctl.c~fix-for-buffer-limit-for-long-in-sysctlc	2004-07-26 23:24:41.000165624 -0700
+++ 25-akpm/kernel/sysctl.c	2004-07-26 23:24:41.011163952 -0700
@@ -1452,7 +1452,7 @@ static int do_proc_dointvec(ctl_table *t
 			      int write, void *data),
 		  void *data)
 {
-#define TMPBUFLEN 20
+#define TMPBUFLEN 21
 	int *i, vleft, first=1, neg, val;
 	unsigned long lval;
 	size_t left, len;
@@ -1692,7 +1692,7 @@ static int do_proc_doulongvec_minmax(ctl
 				     unsigned long convmul,
 				     unsigned long convdiv)
 {
-#define TMPBUFLEN 20
+#define TMPBUFLEN 21
 	unsigned long *i, *min, *max, val;
 	int vleft, first=1, neg;
 	size_t len, left;
_
